Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.jta
Class TransactionManager

    java.lang.Object
      com.arjuna.ats.jta.TransactionManager

public class TransactionManager
extends java.lang.Object

Constructor Summary
`TransactionManager()`

Method Summary
`static void` | `initialise(java.lang.String[] args)`
`static javax.transaction.TransactionManager` | `transactionManager()` Retrieve the singleton transaction manager reference.
`static javax.transaction.TransactionManager` | `transactionManager(boolean reset)` Retrieve the singleton transaction manager reference.
`static javax.transaction.TransactionManager` | `transactionManager(javax.naming.InitialContext ctx)` Retrieve a reference to the transaction manager from the passed in JNDI initial context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionManager

    public TransactionManager()

Method Detail

### transactionManager

    public static javax.transaction.TransactionManager transactionManager(javax.naming.InitialContext ctx)

  Retrieve a reference to the transaction manager from the passed in JNDI initial context.

  Parameters:
    `ctx` - The JNDI initial context to lookup the Transaction Manager reference from.
  Returns:
    The transaction manager bound to the appropriate JNDI context. Returns null if the transaction manager cannot be found.

### transactionManager

    public static javax.transaction.TransactionManager transactionManager()

  Retrieve the singleton transaction manager reference.

  Returns:
    The singleton transaction manager. Can return null if the instantiation failed.

### transactionManager

    public static javax.transaction.TransactionManager transactionManager(boolean reset)

  Retrieve the singleton transaction manager reference.

  Parameters:
    `reset` - if `true` then ignore any previous cached implementation and get a new instance.
  Returns:
    The singleton transaction manager. Can return null if the instantiation failed.

### initialise

    public static final void initialise(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD